"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.format = exports.lspFormattingOptionsToJsBeautifyOptions = void 0;
const code_formatter_1 = require("@stylable/code-formatter");
function lspFormattingOptionsToJsBeautifyOptions(options) {
    return {
        indent_size: options.tabSize,
        indent_with_tabs: !options.insertSpaces,
        max_preserve_newlines: options.trimFinalNewlines ? 1 : undefined,
        end_with_newline: options.insertFinalNewline,
    };
}
exports.lspFormattingOptionsToJsBeautifyOptions = lspFormattingOptionsToJsBeautifyOptions;
function format(doc, offset, options) {
    const srcText = doc.getText();
    const range = { start: doc.positionAt(offset.start), end: doc.positionAt(offset.end) };
    const newText = (0, code_formatter_1.getDocumentFormatting)(srcText, offset, options);
    return srcText === newText
        ? []
        : [
            {
                newText,
                range,
            },
        ];
}
exports.format = format;
//# sourceMappingURL=formatting.js.map