"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.typescriptSupport = void 0;
const typescript_1 = require("@file-services/typescript");
const typescript_2 = __importDefault(require("typescript"));
function typescriptSupport(fileSystem) {
    let openedFiles = [];
    const baseHost = (0, typescript_1.createBaseHost)(fileSystem);
    const tsLanguageServiceHost = (0, typescript_1.createLanguageServiceHost)(baseHost, () => openedFiles, () => ({
        target: typescript_2.default.ScriptTarget.ES5,
        sourceMap: false,
        declaration: true,
        outDir: 'dist',
        lib: [],
        module: typescript_2.default.ModuleKind.CommonJS,
        typeRoots: ['./node_modules/@types'],
    }), '');
    const tsLanguageService = typescript_2.default.createLanguageService(tsLanguageServiceHost);
    const wrappedTs = {
        setOpenedFiles: (files) => (openedFiles = files),
        ts: tsLanguageService,
    };
    return wrappedTs;
}
exports.typescriptSupport = typescriptSupport;
//# sourceMappingURL=typescript-support.js.map